<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class cat_status_afianzadora

    {

        public function insert_cat_status_afianzadora($Status_Afianzadora, $Nivel_Riesgo, $Quien_Registro, $Fecha_Registro, $Fecha_Modificacion, $Quien_Modifico, $GPS)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO cat_status_afianzadora(Status_Afianzadora, Nivel_Riesgo) VALUES ('$Status_Afianzadora', '$Nivel_Riesgo') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            $_Tabla='cat_status_afianzadora';

            $_Evento_Log='registrar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $whatsmyid;

        }



        public function get_cat_status_afianzadora($_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM cat_status_afianzadora WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Status_Afianzadora DESC";

                $consulta="SELECT count(*) as numregis FROM cat_status_afianzadora WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM cat_status_afianzadora ORDER BY Id_Status_Afianzadora DESC";

                $consulta="SELECT count(*) as numregis FROM cat_status_afianzadora";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_cat_status_afianzadorapg($inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM cat_status_afianzadora WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Status_Afianzadora DESC";

            }else{

                $consulta="SELECT * FROM cat_status_afianzadora ORDER BY Id_Status_Afianzadora DESC";

            }

            

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_cat_status_afianzadora($Id_Status_Afianzadora, $Status_Afianzadora, $Nivel_Riesgo, $Quien_Registro, $Fecha_Registro, $Fecha_Modificacion, $Quien_Modifico, $GPS)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE cat_status_afianzadora SET Id_Status_Afianzadora='$Id_Status_Afianzadora', Status_Afianzadora='$Status_Afianzadora', Nivel_Riesgo='$Nivel_Riesgo' WHERE Id_Status_Afianzadora = '$Id_Status_Afianzadora'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='cat_status_afianzadora';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        public function delete_cat_status_afianzadora($Id_Status_Afianzadora)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM cat_status_afianzadora WHERE Id_Status_Afianzadora='$Id_Status_Afianzadora'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='cat_status_afianzadora';

            $_Evento_Log='eliminar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_cat_status_afianzadora($Nombre,$Orderby,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM cat_status_afianzadora WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM cat_status_afianzadora WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM cat_status_afianzadora ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM cat_status_afianzadora";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_cat_status_afianzadorapg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM cat_status_afianzadora WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

            }else{

                $consulta="SELECT * FROM cat_status_afianzadora ORDER BY $Nombre $Orderby";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_cat_status_afianzadora($Id_Status_Afianzadora)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM cat_status_afianzadora WHERE Id_Status_Afianzadora='$Id_Status_Afianzadora'";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_cat_status_afianzadora_paginador_frm()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM cat_status_afianzadora";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_cat_status_afianzadora($Buscar,$_Clausula_Fk,$_IdFk)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT *, count(*) as numregis FROM cat_status_afianzadora WHERE $_Clausula_Fk=$_IdFk AND (Id_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Nivel_Riesgo LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%') ORDER BY Id_Status_Afianzadora DESC";

                $consulta="SELECT count(*) as numregis FROM cat_status_afianzadora WHERE $_Clausula_Fk=$_IdFk AND (Id_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Nivel_Riesgo LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%')";

            }else{

                //$consulta="SELECT *, count(*) as numregis FROM cat_status_afianzadora WHERE Id_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Nivel_Riesgo LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%' ORDER BY Id_Status_Afianzadora DESC";

                $consulta="SELECT count(*) as numregis FROM cat_status_afianzadora WHERE Id_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Nivel_Riesgo LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%'";  

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            $_Tabla='cat_status_afianzadora';

            $_Evento_Log='busco:'.$Buscar;

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta);

            return $Array_adapter;

        }



        public function search_cat_status_afianzadorapg($Buscar,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM cat_status_afianzadora WHERE $_Clausula_Fk=$_IdFk AND (Id_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Nivel_Riesgo LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%') ORDER BY Id_Status_Afianzadora DESC";

            }else{

                $consulta="SELECT * FROM cat_status_afianzadora WHERE Id_Status_Afianzadora LIKE '%$Buscar%' || Status_Afianzadora LIKE '%$Buscar%' || Nivel_Riesgo LIKE '%$Buscar%' || Quien_Registro LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modificacion LIKE '%$Buscar%' || Quien_Modifico LIKE '%$Buscar%' || GPS LIKE '%$Buscar%' ORDER BY Id_Status_Afianzadora DESC";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_cat_status_afianzadora($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM cat_status_afianzadora WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Status_Afianzadora DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_cat_status_afianzadora($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_cat_status_afianzadora($Field,$Value,$Id_Status_Afianzadora)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE cat_status_afianzadora SET $Field='$Valueinto' WHERE Id_Status_Afianzadora= '$Id_Status_Afianzadora'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='cat_status_afianzadora';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



        public function update_field_front_cat_status_afianzadora($Field,$Value,$Id_Status_Afianzadora)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE cat_status_afianzadora SET $Field='$Value' WHERE Id_Status_Afianzadora= '$Id_Status_Afianzadora'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='cat_status_afianzadora';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



}



?>